@if (resultSuccess > 0 || resultError > 0) {
  <div
    [ngStyle]="{
      width: resultNotExecuted === 0 ? 0 : '100%'
    }"
    class="slabs-progress-bar w-100 bg-grey-500"
  ></div>
  <div
    [ngStyle]="{
      width:
        resultNotExecuted === 0
          ? '100%'
          : (resultError + resultSuccess) * 100 + '%'
    }"
    class="slabs-progress-bar error-progress-margin bg-error"
  ></div>
  <div
    [ngStyle]="{
      width:
        resultNotExecuted === 0
          ? (resultSuccess / (resultError + resultSuccess)) * 100 + '%'
          : resultSuccess * 100 + '%'
    }"
    class="slabs-progress-bar success-progress-margin bg-success"
  ></div>
} @else {
  <div>/</div>
}
